net.sourceforge.pmd.lang.xml.rule

## Class AbstractDomXmlRule

- java.lang.Object
- - net.sourceforge.pmd.AbstractPropertySource
  - - net.sourceforge.pmd.lang.rule.AbstractRule
    - - net.sourceforge.pmd.lang.xml.rule.AbstractXmlRule
      - - net.sourceforge.pmd.lang.xml.rule.AbstractDomXmlRule

- All Implemented Interfaces:
    ImmutableLanguage, PropertySource, Rule

      public class AbstractDomXmlRule
      extends AbstractXmlRule

  This is a base class for XML Java bases rules that which to visit the nodes using the DOM. Subclasses should override the DOM appropriate method and can call `super` to visit children.

- - ### Field Summary

    - ### Fields inherited from class net.sourceforge.pmd.lang.xml.rule.AbstractXmlRule

      `COALESCING_DESCRIPTOR, EXPAND_ENTITY_REFERENCES_DESCRIPTOR, IGNORING_COMMENTS_DESCRIPTOR, IGNORING_ELEMENT_CONTENT_WHITESPACE_DESCRIPTOR, NAMESPACE_AWARE_DESCRIPTOR, VALIDATING_DESCRIPTOR, XINCLUDE_AWARE_DESCRIPTOR`

    - ### Fields inherited from class net.sourceforge.pmd.AbstractPropertySource

      `propertyDescriptors, propertyValuesByDescriptor`

    - ### Fields inherited from interface net.sourceforge.pmd.Rule

      `VIOLATION_SUPPRESS_REGEX_DESCRIPTOR, VIOLATION_SUPPRESS_XPATH_DESCRIPTOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractDomXmlRule()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `visit(XmlNode node, Attr attr, RuleContext ctx)`
    `protected void` | `visit(XmlNode node, CharacterData characterData, RuleContext ctx)`
    `protected void` | `visit(XmlNode node, Comment comment, RuleContext ctx)`
    `protected void` | `visit(XmlNode node, Document document, RuleContext ctx)`
    `protected void` | `visit(XmlNode node, DocumentType documentType, RuleContext ctx)`
    `protected void` | `visit(XmlNode node, Element element, RuleContext ctx)`
    `protected void` | `visit(XmlNode node, EntityReference entityReference, RuleContext ctx)`
    `protected void` | `visit(XmlNode node, Entity entity, RuleContext ctx)`
    `protected void` | `visit(XmlNode node, Notation notation, RuleContext ctx)`
    `protected void` | `visit(XmlNode node, ProcessingInstruction processingInstruction, RuleContext ctx)`
    `protected void` | `visit(XmlNode node, RuleContext ctx)`
    `protected void` | `visit(XmlNode node, Text text, RuleContext ctx)`
    `protected void` | `visitAttributeNodes(XmlNode node, Node domNode, RuleContext ctx)`
    `protected void` | `visitDomNode(XmlNode node, Node domNode, RuleContext ctx)`

    - ### Methods inherited from class net.sourceforge.pmd.lang.xml.rule.AbstractXmlRule

      `apply, getParserOptions, visitAll`

    - ### Methods inherited from class net.sourceforge.pmd.lang.rule.AbstractRule

      `addExample, addRuleChainVisit, addRuleChainVisit, addViolation, addViolation, addViolation, addViolationWithMessage, addViolationWithMessage, addViolationWithMessage, deepCopyValuesTo, end, equals, getDescription, getExamples, getExternalInfoUrl, getLanguage, getMaximumLanguageVersion, getMessage, getMinimumLanguageVersion, getName, getPriority, getRuleChainVisits, getRuleClass, getRuleSetName, getSince, hashCode, isDeprecated, setDeprecated, setDescription, setExternalInfoUrl, setLanguage, setMaximumLanguageVersion, setMessage, setMinimumLanguageVersion, setName, setPriority, setRuleClass, setRuleSetName, setSince, setUsesDFA, setUsesTypeResolution, start, usesDFA, usesRuleChain, usesTypeResolution`

    - ### Methods inherited from class net.sourceforge.pmd.AbstractPropertySource

      `copyPropertyDescriptors, copyPropertyValues, definePropertyDescriptor, dysfunctionReason, getPropertiesByPropertyDescriptor, getProperty, getPropertyDescriptor, getPropertyDescriptors, hasDescriptor, ignoredProperties, setProperty, useDefaultValueFor, usesDefaultValues`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sourceforge.pmd.PropertySource

      `definePropertyDescriptor, dysfunctionReason, getPropertiesByPropertyDescriptor, getProperty, getPropertyDescriptor, getPropertyDescriptors, hasDescriptor, ignoredProperties, setProperty, useDefaultValueFor, usesDefaultValues`

- - ### Constructor Detail

    - #### AbstractDomXmlRule

          public AbstractDomXmlRule()

  - ### Method Detail

    - #### visit

          protected void visit(XmlNode node,
                   RuleContext ctx)

      Overrides:
        `visit` in class `AbstractXmlRule`

    - #### visitDomNode

          protected void visitDomNode(XmlNode node,
                          Node domNode,
                          RuleContext ctx)

    - #### visitAttributeNodes

          protected void visitAttributeNodes(XmlNode node,
                                 Node domNode,
                                 RuleContext ctx)

    - #### visit

          protected void visit(XmlNode node,
                   Attr attr,
                   RuleContext ctx)

    - #### visit

          protected void visit(XmlNode node,
                   CharacterData characterData,
                   RuleContext ctx)

    - #### visit

          protected void visit(XmlNode node,
                   Comment comment,
                   RuleContext ctx)

    - #### visit

          protected void visit(XmlNode node,
                   Document document,
                   RuleContext ctx)

    - #### visit

          protected void visit(XmlNode node,
                   DocumentType documentType,
                   RuleContext ctx)

    - #### visit

          protected void visit(XmlNode node,
                   Element element,
                   RuleContext ctx)

    - #### visit

          protected void visit(XmlNode node,
                   Entity entity,
                   RuleContext ctx)

    - #### visit

          protected void visit(XmlNode node,
                   EntityReference entityReference,
                   RuleContext ctx)

    - #### visit

          protected void visit(XmlNode node,
                   Notation notation,
                   RuleContext ctx)

    - #### visit

          protected void visit(XmlNode node,
                   ProcessingInstruction processingInstruction,
                   RuleContext ctx)

    - #### visit

          protected void visit(XmlNode node,
                   Text text,
                   RuleContext ctx)

Copyright © 2002-2013 InfoEther. All Rights Reserved.